export const Audio = {
    MAX_SAMPLES: 48,
    CHANNELS_PER_SLICE: 16,
    MAX_CHANNELS: 80,
    MAX_CHANNEL_INDEX: 79,
};
export const AudioEngine = {
    MAX_INPUTTRIM_CHANNELS: 16,
    MAX_STEREOMIX_CHANNELS: 64,
    MAX_FILTER_INSTANCES: 2048,
    MAX_MS_CHANNELS: 2,
    MAX_COMPRESSOR_CURVE_SIZE: 8,
    MAX_MONOMIX_FADERS: 65,
    MAX_DELAY_CHANNELS: 16,
    MAX_DOWNMIX_CHANNELS: 12,
    MAX_MONOMIX_CHANNELS: 64,
    MAX_NMINUS1_OUTPUTS: 4,
    MAX_NMINUS1_CHANNELS: 256,
    MAX_FILTER_CHANNELS: 16,
    MAX_FILTER_BANDS: 31,
    MAX_COMPRESSOR_CHANNELS: 16,
    MAX_STEREOMIX_FADERS: 65,
    MAX_DELAY_TAPS: 16,
    MAX_MEASURE_CHANNELS: 16,
};
export const ClusterSources = {
    SDP_MAX_SIZE: 2047,
    MAX_VIDEO_SOURCES_NUM: 4096,
    MAX_METADATA_SOURCES_NUM: 4096,
    MAX_AUDIO_SOURCES_PER_NODE_NUM: 64,
    MAX_AUDIO_SOURCES_NUM: 4096,
    MAX_MIPMAP_VIDEO_SOURCES_PER_NODE_NUM: 128,
    MAX_VIDEO_SOURCES_PER_NODE_NUM: 64,
    MAX_METADATA_SOURCES_PER_NODE_NUM: 64,
};
export const ColorCorrection = {
    MAX_3DLUT_NAME_LENGTH: 80,
};
export const IOModule = {
    MAX_BNC_CONNECTORS: 18,
};
export const J2KDecoder = {
    MAX_J2K_DECODER_NUM: 8,
};
export const Multiviewer = {
    HEADS_NUM_MAX: 240,
};
export const Primitives = {
    MIN_INT8: -128,
    MAX_INT16: 32767,
    MAX_UINT16: 65535,
    MAX_INT32: 2147483647,
    MAX_UINT8: 255,
    MIN_INT16: -32768,
    MAX_INT8: 127,
    MAX_UINT32: 4294967295,
    MIN_INT64: -9223372036854775807n,
    MAX_UINT64: 18446744073709551615n,
    MAX_UINT31: 2147483647,
    MIN_INT32: -2147483648,
    MAX_INT64: 9223372036854775807n,
};
export const RTPReceiver = {
    MAX_NUM_VIDEO_RECEIVERS: 24,
    AUDIO_SLICES_PER_2022_6_RECEIVER: 2,
    MAX_RESERVE_AUDIO_DECODERS: 16,
    METADATA_DECODERS_PER_MULTIPLEXED_BLOCK: 8,
    NATIVE_VIDEO_DECODERS_PER_MULTIPLEXED_BLOCK: 4,
    JPEG_XS_VIDEO_DECODERS_PER_MULTIPLEXED_BLOCK: 4,
    MAX_BYTES_PER_PACKET: 1536,
};
export const RTPTransmitter = {
    MAX_AUDIO_ENCODER: 255,
};
export const SampleRateConverter = {
    CHANNELS_PER_SRC: 16,
};
export const UDX = {
    NUM_OUTPUTS: 8,
};
export const AT1101 = {
    NetworkInterfaces: {
        NUM_FPGA_LANES: 4,
    },
    PCap: {
        MAX_ADDR: 134217727,
    },
    Primitives: {
        MAX_STREAM_PORTS: 10,
    },
    RTPReceiver: {
        AUDIO_DECODERS_PER_MULTIPLEXED_BLOCK: 22,
        MAX_PACKETS_PER_BLOCK: 4096,
        AUDIO_SLICES_PER_MULTIPLEXED_BLOCK: 64,
        MAX_RAM_BLOCKS_PER_STREAM: 16,
        TOP_AUDIO_SLICE_PER_MULTIPLEXED_DECODER_BLOCK: 63,
        MAX_BLOCKS_PER_RECEIVER: 16,
    },
};
export const AT1130 = {
    NetworkInterfaces: {
        NUM_FPGA_LANES: 1,
    },
    PCap: {
        MAX_ADDR: 67108863,
    },
    Primitives: {
        MAX_STREAM_PORTS: 2,
    },
    RTPReceiver: {
        MAX_BYTES_PER_BLOCK: 4194304,
        MAX_BLOCKS_PER_RECEIVER: 24,
        TOP_AUDIO_SLICE_PER_MULTIPLEXED_DECODER_BLOCK: 255,
        AUDIO_SLICES_PER_MULTIPLEXED_BLOCK: 256,
        AUDIO_DECODERS_PER_MULTIPLEXED_BLOCK: 256,
        MAX_RAM_BLOCKS_PER_STREAM: 24,
    },
};
